Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Static Private Member Functions | List of all members
eZSubtreeNotificationRule Class Reference

The class eZSubtreeNotificationRule does. More...

Inheritance diagram for eZSubtreeNotificationRule:

## Public Member Functions
| node ()
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | create ( $nodeID, $userID, $useDigest=0)
static | fetchNodesForUserID ( $userID, $asObject=true)
static | fetchList ( $userID, $asObject=true, $offset=false, $limit=false)
static | fetchListCount ( $userID)
static | fetchUserList ( $nodeIDList, $contentObject)
static | removeByNodeAndUserID ( $userID, $nodeID)
static | removeByUserID ( $userID)
static | cleanup ()
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $Node = null
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Static Private Member Functions
static | checkObjectAccess ( $contentObject, $policyID, $userIDArray, $userLimits=false)

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

The class eZSubtreeNotificationRule does.

Definition at line 16 of file ezsubtreenotificationrule.php.

## Member Function Documentation

## ◆ checkObjectAccess()

static eZSubtreeNotificationRule::checkObjectAccess | ( |  | $contentObject,
|  |  | $policyID,
|  |  | $userIDArray,
|  |  | $userLimits = `false`
| ) |  |
| static private

Check access for specified policy on object, and user list.

Parameters

  Content | object
  policyID |
  userID | array
  user | limits

Returns
  array of user ID's which has access to object

Definition at line 321 of file ezsubtreenotificationrule.php.

References eZPersistentObject\count(), eZUser\currentUser(), and eZPolicy\fetch().

Referenced by fetchUserList().

## ◆ cleanup()

static eZSubtreeNotificationRule::cleanup | ( |  | ) |
| static

Cleans up all notification rules for all users.

Definition at line 547 of file ezsubtreenotificationrule.php.

References eZDB\instance().

Referenced by eZSubTreeHandler\cleanup().

## ◆ create()

static eZSubtreeNotificationRule::create | ( |  | $nodeID,
|  |  | $userID,
|  |  | $useDigest = `0`
| ) |  |
| static

Definition at line 51 of file ezsubtreenotificationrule.php.

Referenced by eZSubTreeHandler\fetchHttpInput(), and eZSubtreeSubscriptionType\onPublish().

## ◆ definition()

static eZSubtreeNotificationRule::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 18 of file ezsubtreenotificationrule.php.

Referenced by eZSubTreeHandler\fetchHttpInput(), fetchList(), fetchListCount(), fetchNodesForUserID(), removeByNodeAndUserID(), and removeByUserID().

## ◆ fetchList()

static eZSubtreeNotificationRule::fetchList | ( |  | $userID,
|  |  | $asObject = `true`,
|  |  | $offset = `false`,
|  |  | $limit = `false`
| ) |  |
| static

Definition at line 82 of file ezsubtreenotificationrule.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZSubTreeHandler\fetchHttpInput(), and eZSubTreeHandler\rules().

## ◆ fetchListCount()

static eZSubtreeNotificationRule::fetchListCount | ( |  | $userID | ) |
| static

Definition at line 90 of file ezsubtreenotificationrule.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZSubTreeHandler\rulesCount().

## ◆ fetchNodesForUserID()

static eZSubtreeNotificationRule::fetchNodesForUserID | ( |  | $userID,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 59 of file ezsubtreenotificationrule.php.

References definition(), eZContentObjectTreeNode\fetch(), and eZPersistentObject\fetchObjectList().

Referenced by eZSubTreeHandler\fetchHttpInput(), eZSubtreeSubscriptionType\onPublish(), and eZSubTreeHandler\subscribedNodes().

## ◆ fetchUserList()

static eZSubtreeNotificationRule::fetchUserList | ( |  | $nodeIDList,
|  |  | $contentObject
| ) |  |
| static

Fetch allowed subtreenotification rules based on node_id list and a content object

Parameters

  array | $nodeIDList | node id list for notification event
  | eZContentObject | content object to add

Returns
  array matching subtree notification rule data

Definition at line 113 of file ezsubtreenotificationrule.php.

References checkObjectAccess(), eZPersistentObject\count(), and eZDB\instance().

Referenced by eZSubTreeHandler\handlePublishEvent().

## ◆ node()

eZSubtreeNotificationRule::node | ( |  | ) |

Definition at line 516 of file ezsubtreenotificationrule.php.

References $Node, eZPersistentObject\attribute(), and eZContentObjectTreeNode\fetch().

## ◆ removeByNodeAndUserID()

static eZSubtreeNotificationRule::removeByNodeAndUserID | ( |  | $userID,
|  |  | $nodeID
| ) |  |
| static

Definition at line 525 of file ezsubtreenotificationrule.php.

References definition(), and eZPersistentObject\removeObject().

Referenced by eZSubtreeSubscriptionType\onPublish().

## ◆ removeByUserID()

static eZSubtreeNotificationRule::removeByUserID | ( |  | $userID | ) |
| static

Remove notifications by user id

Parameters

  userID |

Definition at line 538 of file ezsubtreenotificationrule.php.

References definition(), and eZPersistentObject\removeObject().

Referenced by eZUser\removeUser().

## Member Data Documentation

## ◆ $Node

eZSubtreeNotificationRule::$Node = null

Definition at line 553 of file ezsubtreenotificationrule.php.

Referenced by node().

The documentation for this class was generated from the following file:

- ezsubtreenotificationrule.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.